Package org.eclipse.ui.preferences

## Class WizardPropertyPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.ui.dialogs.PropertyPage
      - - org.eclipse.ui.preferences.WizardPropertyPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IPreferencePage`, `IWorkbenchPropertyPage`

    public abstract class WizardPropertyPage
    extends PropertyPage

The wizard property page can wrap a property page around a wizard. The property page shows the first page of the wizard. It is therefore required, that the wizard consists of exactly one page.

Since:
  3.4

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`WizardPropertyPage()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `applyChanges()` Apply the changes made on the property page
`protected Control` `createContents​(Composite parent)` Creates and returns the SWT control for the customized body of this preference page under the given parent composite.
`protected abstract IWizard` `createWizard()` Return a wizard.
`IWizard` `getWizard()`
`protected void` `performApply()` Performs special processing when this page's Apply button has been pressed.
`boolean` `performCancel()` The preference page implementation of an `IPreferencePage` method performs special processing when this page's Cancel button has been pressed.
`protected void` `performDefaults()` Performs special processing when this page's Defaults button has been pressed.
`boolean` `performOk()` Notifies that the OK button of this page's container has been pressed.

### Methods inherited from class org.eclipse.ui.dialogs.PropertyPage

`getElement, setElement`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, setContainer, setSize`

### Constructor Detail

#### WizardPropertyPage

    public WizardPropertyPage()

### Method Detail

#### getWizard

    public IWizard getWizard()

Returns:
  the wizard which is wrapped by this page or null if not yet created

#### createWizard

    protected abstract IWizard createWizard()

Return a wizard.

Returns:
  an instance of the wizard to be wrapped or null if creation failed

#### applyChanges

    protected abstract void applyChanges()

Apply the changes made on the property page

#### createContents

    protected Control createContents​(Composite parent)

Creates and returns the SWT control for the customized body of this preference page under the given parent composite.

This framework method must be implemented by concrete subclasses. Any subclass returning a `Composite` object whose `Layout` has default margins (for example, a `GridLayout`) is expected to set the margins of this `Layout` to 0 pixels.

Specified by:
  `createContents` in class `PreferencePage`
Parameters:
  `parent` - the parent composite
Returns:
  the new control

#### performOk

    public boolean performOk()

Notifies that the OK button of this page's container has been pressed.

Specified by:
  `performOk` in interface `IPreferencePage`
Overrides:
  `performOk` in class `PreferencePage`
Returns:
  `false` to abort the container's OK processing and `true` to allow the OK to happen

#### performCancel

    public boolean performCancel()

The preference page implementation of an `IPreferencePage` method performs special processing when this page's Cancel button has been pressed.

This is a framework hook method for subclasses to do special things when the Cancel button has been pressed. The default implementation of this framework method does nothing and returns `true`.

Note that UI guidelines on different platforms disagree on whether Cancel should revert changes that have been applied with the Apply button. Windows wants applied changes to persist on Cancel, whereas Mac and GTK consider Apply a preview that should not be saved on Cancel. Eclipse applications typically adhere to the Windows guidelines and just override `PreferencePage.performOk()` and save preferences there.

Specified by:
  `performCancel` in interface `IPreferencePage`
Overrides:
  `performCancel` in class `PreferencePage`
Returns:
  `false` to abort the container's cancel procedure and `true` to allow the cancel to happen
See Also:
  `IPreferencePage.performCancel()`

#### performApply

    protected void performApply()

Performs special processing when this page's Apply button has been pressed.

This is a framework hook method for subclasses to do special things when the Apply button has been pressed. The default implementation of this framework method simply calls `performOk` to simulate the pressing of the page's OK button.

Overrides:
  `performApply` in class `PreferencePage`
See Also:
  `PreferencePage.performOk()`, `PreferencePage.performCancel()`

#### performDefaults

    protected void performDefaults()

Performs special processing when this page's Defaults button has been pressed.

This is a framework hook method for subclasses to do special things when the Defaults button has been pressed. Subclasses may override, but should call `super.performDefaults`.

Overrides:
  `performDefaults` in class `PreferencePage`